Não consigo instalar os drivers de vpideos da AMD

1. Não consigo instalar os drivers de vpideos da AMD

LM
A6M0

(usa Fedora)

Enviado em 19/12/2018 - 20:11h

E aew povo, blz?
Recém instalei o Ubuntu no meu Notebook e estou com problemas para instalar os drivers da AMD. O site da AMD mudou e não tem o drive disponibilizado para download e sim o software Crimsom na pg de download.

Estou tentando instalar o programa mas da esse erro:

root@usuario:/home/usuario/Documentos# dpkg -i fglrx_15.302-0ubuntu1_amd64_ub_14.01.deb
A seleccionar pacote anteriormente não seleccionado fglrx.
(Lendo banco de dados ... 146984 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar fglrx_15.302-0ubuntu1_amd64_ub_14.01.deb ...
A descompactar fglrx (2:15.302-0ubuntu1) ...
dpkg: problemas com dependências impedem a configuração de fglrx:
fglrx depende de fglrx-core; porém:
Pacote fglrx-core não está instalado.
fglrx depende de libqtcore4 (>= 4:4.7.0~beta2); porém:
Pacote libqtcore4:amd64 não está instalado.

dpkg: erro ao processar o pacote fglrx (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para systemd (237-3ubuntu10.9) ...
A processar 'triggers' para ureadahead (0.100.0-20) ...
A processar 'triggers' para gnome-menus (3.13.3-11ubuntu1) ...
A processar 'triggers' para desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
A processar 'triggers' para mime-support (3.60ubuntu1) ...
Erros foram encontrados durante o processamento de:
fglrx

Estou tentando buscar o pacote fglrx-core mas sem sucesso para instalar. E não quero instalar de fontes não confiáveis.
Alguem sabe onde eu consigo este drive sem o Crimson ou como instalo ele?
Minha placa é AMD Radeon R7 265.


  


2. Re: Não consigo instalar os drivers de vpideos da AMD

-
BiaMonteiro

(usa Arch Linux)

Enviado em 19/12/2018 - 20:14h

Já tentou apt -f install?


3. Re: Não consigo instalar os drivers de vpideos da AMD

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 19/12/2018 - 20:27h

Tentou usar aplicativo Drives Adicionais ?

----------------------------------------------------------------------------------
Itautec-w7535 (Ci3 + 4 GB/RAM + 120 GB/SSD + Intel HD 3000)




4. Re: Não consigo instalar os drivers de vpideos da AMD

LM
A6M0

(usa Fedora)

Enviado em 19/12/2018 - 22:33h

BiaMonteiro escreveu:

Já tentou apt -f install?


apt install -f fglrx-core
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote fglrx-core não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: O pacote 'fglrx-core' não tem candidato para instalação.

Não deu. Mas vou tentar achar o pacote equivalente e os instaladores da versão correta são .deb.
Vou testar e em breve dou resposta.






5. Re: Não consigo instalar os drivers de vpideos da AMD

LM
A6M0

(usa Fedora)

Enviado em 19/12/2018 - 22:33h

clodoaldops escreveu:

Tentou usar aplicativo Drives Adicionais ?

----------------------------------------------------------------------------------
Itautec-w7535 (Ci3 + 4 GB/RAM + 120 GB/SSD + Intel HD 3000)


Já e ele não informa nenhum driver a ser instalado.


6. Re: Não consigo instalar os drivers de vpideos da AMD

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 19/12/2018 - 22:45h

Creio que fglrx não tem mais suporte Ubuntu desde 1604.
Vc está usando 1804 ou 1810?

----------------------------------------------------------------------------------
Itautec-w7535 (Ci3 + 4 GB/RAM + 120 GB/SSD + Intel HD 3000)




7. Re: Não consigo instalar os drivers de vpideos da AMD

-
BiaMonteiro

(usa Arch Linux)

Enviado em 19/12/2018 - 22:57h

A6M0 escreveu:

BiaMonteiro escreveu:

Já tentou apt -f install?


apt install -f fglrx-core
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote fglrx-core não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: O pacote 'fglrx-core' não tem candidato para instalação.

Não deu. Mas vou tentar achar o pacote equivalente e os instaladores da versão correta são .deb.
Vou testar e em breve dou resposta.




O comando é apt -f install. Não coloque nada depois do install.



8. Re: Não consigo instalar os drivers de vpideos da AMD

LM
A6M0

(usa Fedora)

Enviado em 19/12/2018 - 23:12h

Eu utilizei outro método utilizando amdgpu-pro-install utilizando o pacote que baixei no site da AMD (amdgpu-pro-18.20-673703-ubuntu-18.04), onde ao instalar ele instala mas quando reiniciei ele não carregava o gnome e a tela de boot ficava piscando em 1 em 1 segundo e exibia este erro:
Dec 19 21:02:59 -Inspiron-5547 gnome-shell[1459]: Unable to initialize Clutter: Unable to initialize the Clutter backend: no available drivers found.
Dec 19 21:02:59 -Inspiron-5547 gnome-shell[1459]: Unable to initialize Clutter.
Dec 19 21:02:59 -Inspiron-5547 gnome-session[1375]: gnome-session-binary[1375]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1
Dec 19 21:02:59 -Inspiron-5547 gnome-session[1375]: gnome-session-binary[1375]: WARNING: App 'org.gnome.Shell.desktop' respawning too quickly
Dec 19 21:02:59 -Inspiron-5547 gnome-session[1375]: gnome-session-binary[1375]: CRITICAL: We failed, but the fail whale is dead. Sorry....

Eu consegui abrir o terminal depois de reiniciar em dar boot em modo de segurança e dei amdgpu-pro-uninstall e reboot. Por fim voltou como estava antes mas sem o drive.
Subi mas para cima o arquivo de logo após ter retornado e informou tal informação:

Dec 19 21:02:59 -Inspiron-5547 gnome-session[1375]: gnome-session-is-accelerated: No hardware 3D support.
Dec 19 21:02:59 -Inspiron-5547 gnome-session[1375]: gnome-session-check-accelerated: GL Helper exited with code 256

Até agora é isso que tenho vou ver oque posso fazer mas nada de solução ainda :/



9. Re: Não consigo instalar os drivers de vpideos da AMD

LM
A6M0

(usa Fedora)

Enviado em 19/12/2018 - 23:16h

BiaMonteiro escreveu:

A6M0 escreveu:

BiaMonteiro escreveu:

Já tentou apt -f install?


apt install -f fglrx-core
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote fglrx-core não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: O pacote 'fglrx-core' não tem candidato para instalação.

Não deu. Mas vou tentar achar o pacote equivalente e os instaladores da versão correta são .deb.
Vou testar e em breve dou resposta.




O comando é apt -f install. Não coloque nada depois do install.

OK. De qualquer forma originou no mesmo resultado. O Ubuntu é 18.04.1 LTS

Qual seria os pacotes atuais que substituíram este fglrx-core?



10. Re: Não consigo instalar os drivers de vpideos da AMD

-
BiaMonteiro

(usa Arch Linux)

Enviado em 19/12/2018 - 23:31h

Acho que agora pode funcionar.

Rode:
apt install libqtcore4

E depois instale o driver com dpkg.


11. Re: Não consigo instalar os drivers de vpideos da AMD

LM
A6M0

(usa Fedora)

Enviado em 19/12/2018 - 23:39h

BiaMonteiro escreveu:

Acho que agora pode funcionar.

Rode:
apt install libqtcore4

E depois instale o driver com dpkg.


Infelizmente nada mudou:
dpkg: problemas com dependências impedem a configuração de fglrx:
fglrx depende de fglrx-core; porém:
Pacote fglrx-core não está instalado.
Preciso saber qual o pacote equivalente ao fglrx para o Ubuntu 18.04.
Até o momento não achei nada a respeito de um pacote que o substitua. Vou continuar a procurar.








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts